"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.rawGitLog = exports.expectedReportOutput = exports.expectedReportForMultipleRepositories = exports.expectedReport = void 0;
exports.expectedReport = {
    weeks: 4,
    projects: ['irrelevant'],
    totalCommits: 17,
    committers: [
        {
            email: 'rlau@redhat.com',
            name: 'Richard Lau',
            totalCommits: 3
        },
        {
            email: 'elad.keyshawn@gmail.com',
            name: 'eladkeyshawn',
            totalCommits: 2
        },
        {
            email: 'duhamelantoine1995@gmail.com',
            name: 'Antoine du Hamel',
            totalCommits: 2
        },
        {
            email: 'targos@protonmail.com',
            name: 'Michaël Zasso',
            totalCommits: 2
        },
        {
            email: 'contact@divlo.fr',
            name: 'divlo',
            totalCommits: 1
        },
        {
            email: 'me@jaydenseric.com',
            name: 'Jayden Seric',
            totalCommits: 1
        },
        {
            email: 'daniel.bevenius@gmail.com',
            name: 'Daniel Bevenius',
            totalCommits: 1
        },
        {
            email: 'rtrott@gmail.com',
            name: 'Rich Trott',
            totalCommits: 1
        },
        {
            email: 'anna@addaleax.net',
            name: 'Anna Henningsen',
            totalCommits: 1
        },
        {
            email: 'and.atencio@gmail.com',
            name: 'Andres',
            totalCommits: 1
        },
        {
            email: 'linkgoron@gmail.com',
            name: 'Nitzan Uziely',
            totalCommits: 1
        },
        {
            email: '62040526+VoltrexMaster@users.noreply.github.com',
            name: 'Voltrex',
            totalCommits: 1
        }
    ]
};
exports.expectedReportForMultipleRepositories = __assign(__assign({}, exports.expectedReport), { projects: ['irrelevant', 'irrelevant'], totalCommits: exports.expectedReport.totalCommits * 2, committers: exports.expectedReport.committers.map(function (committer) { return ({
        email: committer.email,
        name: committer.name,
        totalCommits: committer.totalCommits * 2
    }); }) });
exports.expectedReportOutput = "\nReport for: \n    irrelevant\n\nTotal commits in the last 4 weeks: 17\nContributions by author:\n    Richard Lau (rlau@redhat.com): 3\n    eladkeyshawn (elad.keyshawn@gmail.com): 2\n    Antoine du Hamel (duhamelantoine1995@gmail.com): 2\n    Micha\u00EBl Zasso (targos@protonmail.com): 2\n    divlo (contact@divlo.fr): 1\n    Jayden Seric (me@jaydenseric.com): 1\n    Daniel Bevenius (daniel.bevenius@gmail.com): 1\n    Rich Trott (rtrott@gmail.com): 1\n    Anna Henningsen (anna@addaleax.net): 1\n    Andres (and.atencio@gmail.com): 1\n    Nitzan Uziely (linkgoron@gmail.com): 1\n    Voltrex (62040526+VoltrexMaster@users.noreply.github.com): 1\n";
exports.rawGitLog = "\ncommit f9e07e432b352e3eb6c299df06eaeaa880980ce8\nAuthor: Richard Lau <rlau@redhat.com>\nDate:   Sun Apr 18 14:56:24 2021 -0400\n\n    test: add ancestor package.json checks for tmpdir\n    \n    Policy tests can fail if a `package.json` exists in any of the parent\n    directories above the test. The existing checks are done for the\n    ancestors of the test directory but some tests execute from the tmpdir.\n    \n    PR-URL: https://github.com/nodejs/node/pull/38285\n    Refs: https://github.com/nodejs/node/issues/38088\n    Refs: https://github.com/nodejs/node/issues/35600\n    Refs: https://github.com/nodejs/node/pull/35633\n    Reviewed-By: Rich Trott <rtrott@gmail.com>\n    Reviewed-By: Colin Ihrig <cjihrig@gmail.com>\n    Reviewed-By: James M Snell <jasnell@gmail.com>\n\ncommit 4f11b8b8ae06bf42b483ec7da69ccf7930291056\nAuthor: divlo <contact@divlo.fr>\nDate:   Wed Apr 21 03:13:09 2021 +0200\n\n    doc: fix typo in buffer.md\n    \n    'uint16arr' -> 'uint16array'\n    \n    PR-URL: https://github.com/nodejs/node/pull/38323\n    Reviewed-By: Luigi Pinca <luigipinca@gmail.com>\n    Reviewed-By: Darshan Sen <raisinten@gmail.com>\n\ncommit 88bc8645e733ee3f9b86272b6c1ae9c1da7790c9\nAuthor: eladkeyshawn <elad.keyshawn@gmail.com>\nDate:   Tue Apr 20 14:28:20 2021 +0300\n\n    crypto: fix DiffieHellman `generator` validation\n    \n    PR-URL: https://github.com/nodejs/node/pull/38311\n    Fixes: https://github.com/nodejs/node/issues/38302\n    Reviewed-By: Antoine du Hamel <duhamelantoine1995@gmail.com>\n    Reviewed-By: Luigi Pinca <luigipinca@gmail.com>\n    Reviewed-By: James M Snell <jasnell@gmail.com>\n    Reviewed-By: Benjamin Gruenbaum <benjamingr@gmail.com>\n    Reviewed-By: Minwoo Jung <nodecorelab@gmail.com>\n    Reviewed-By: Darshan Sen <raisinten@gmail.com>\n\ncommit e151e909fd2918effd9349079d07cd4e7b5c36fb\nAuthor: Antoine du Hamel <duhamelantoine1995@gmail.com>\nDate:   Tue Apr 20 11:59:02 2021 +0200\n\n    tls: validate ticket keys buffer\n    \n    Fixes: https://github.com/nodejs/node/issues/38305\n    \n    PR-URL: https://github.com/nodejs/node/pull/38308\n    Reviewed-By: Darshan Sen <raisinten@gmail.com>\n    Reviewed-By: Luigi Pinca <luigipinca@gmail.com>\n    Reviewed-By: James M Snell <jasnell@gmail.com>\n\ncommit 37b811a27a7479c99448aafa834efab02b6baf17\nAuthor: Jayden Seric <me@jaydenseric.com>\nDate:   Wed Apr 21 10:54:38 2021 +1000\n\n    doc: fix YAML comment opening tags\n    \n    Several YAML documentation comments incorrectly started with `<!--YAML`\n    instead of `<!-- YAML`, resulting in their content missing in the\n    rendered documentation.\n    \n    PR-URL: https://github.com/nodejs/node/pull/38324\n    Reviewed-By: Richard Lau <rlau@redhat.com>\n    Reviewed-By: Luigi Pinca <luigipinca@gmail.com>\n    Reviewed-By: Antoine du Hamel <duhamelantoine1995@gmail.com>\n    Reviewed-By: Darshan Sen <raisinten@gmail.com>\n\ncommit 63bed545d3054ca952517125c0459356673f5628\nAuthor: Daniel Bevenius <daniel.bevenius@gmail.com>\nDate:   Mon Apr 19 05:50:21 2021 +0200\n\n    doc: add nodejs-sec email template\n    \n    This commit adds a suggestion for a template to be used as part of the\n    security release process. One step of this process is to create an email\n    to nodejs-sec group and currently would contain a copy and pasted\n    version of what is published on nodejs.org. This suggestion is to\n    instead use a link to the blog post.\n    \n    PR-URL: https://github.com/nodejs/node/pull/38290\n    Refs: https://github.com/nodejs/node/issues/38143\n    Reviewed-By: Michael Dawson <midawson@redhat.com>\n    Reviewed-By: James M Snell <jasnell@gmail.com>\n\ncommit 8ca373f55707f2502cf1e965cb5f97cc7e8aae3e\nAuthor: Rich Trott <rtrott@gmail.com>\nDate:   Thu Apr 22 06:59:19 2021 -0700\n\n    doc: update TSC members list with three new members\n    \n    PR-URL: https://github.com/nodejs/node/pull/38352\n    Reviewed-By: Darshan Sen <raisinten@gmail.com>\n    Reviewed-By: Beth Griggs <bgriggs@redhat.com>\n    Reviewed-By: Richard Lau <rlau@redhat.com>\n    Reviewed-By: James M Snell <jasnell@gmail.com>\n    Reviewed-By: Nitzan Uziely <linkgoron@gmail.com>\n\ncommit 9f5977a74d99d9caa5361220eaf3d6189e400b0a\nAuthor: Anna Henningsen <anna@addaleax.net>\nDate:   Tue Apr 20 16:26:24 2021 +0200\n\n    repl: display prompt once after error callback\n    \n    Do not call `.displayPrompt()` twice after the `eval` callback\n    resulted in an error.\n    \n    (This does not affect the default eval because it doesn\u2019t use\n    the callback if an error occurs.)\n    \n    PR-URL: https://github.com/nodejs/node/pull/38314\n    Reviewed-By: Luigi Pinca <luigipinca@gmail.com>\n    Reviewed-By: Benjamin Gruenbaum <benjamingr@gmail.com>\n    Reviewed-By: James M Snell <jasnell@gmail.com>\n    Reviewed-By: Colin Ihrig <cjihrig@gmail.com>\n\ncommit 4243ce03182aea72aefdd2ff29ecc1affbc59716\nAuthor: Andres <and.atencio@gmail.com>\nDate:   Tue Apr 13 23:30:12 2021 -0300\n\n    test: replace function with arrow function and remove unused argument\n    \n    PR-URL: https://github.com/nodejs/node/pull/38235\n    Reviewed-By: Yash Ladha <yash@yashladha.in>\n    Reviewed-By: Pooja D P <Pooja.D.P@ibm.com>\n    Reviewed-By: Harshitha K P <harshitha014@gmail.com>\n    Reviewed-By: Benjamin Gruenbaum <benjamingr@gmail.com>\n    Reviewed-By: Rich Trott <rtrott@gmail.com>\n    Reviewed-By: Darshan Sen <raisinten@gmail.com>\n    Reviewed-By: Colin Ihrig <cjihrig@gmail.com>\n    Reviewed-By: Luigi Pinca <luigipinca@gmail.com>\n    Reviewed-By: James M Snell <jasnell@gmail.com>\n    Reviewed-By: Antoine du Hamel <duhamelantoine1995@gmail.com>\n\ncommit 5370220ab2e8978611a827ac11aba1318bb93969\nAuthor: Nitzan Uziely <linkgoron@gmail.com>\nDate:   Sun Apr 18 22:40:59 2021 +0300\n\n    fs: allow no-params fsPromises fileHandle read\n    \n    allow no-params read for fsPromises fileHandle read\n    \n    PR-URL: https://github.com/nodejs/node/pull/38287\n    Reviewed-By: Anna Henningsen <anna@addaleax.net>\n    Reviewed-By: Antoine du Hamel <duhamelantoine1995@gmail.com>\n    Reviewed-By: Colin Ihrig <cjihrig@gmail.com>\n    Reviewed-By: Rich Trott <rtrott@gmail.com>\n    Reviewed-By: Darshan Sen <raisinten@gmail.com>\n    Reviewed-By: Luigi Pinca <luigipinca@gmail.com>\n\ncommit 7264dbd038c90ca5524974d7d4705d1d4b692e15\nAuthor: Antoine du Hamel <duhamelantoine1995@gmail.com>\nDate:   Mon Apr 12 17:36:24 2021 +0200\n\n    bootstrap: freeze more intrinsics\n    \n    PR-URL: https://github.com/nodejs/node/pull/38217\n    Reviewed-By: Guy Bedford <guybedford@gmail.com>\n\ncommit 6e3f98569cafd45c55a156906f934cec21d94d35\nAuthor: eladkeyshawn <elad.keyshawn@gmail.com>\nDate:   Fri Apr 9 20:12:59 2021 +0300\n\n    tls: fix `tlsSocket.setMaxSendFragment` abort\n    \n    PR-URL: https://github.com/nodejs/node/pull/38170\n    Fixes: https://github.com/nodejs/node/issues/38169\n    Reviewed-By: Benjamin Gruenbaum <benjamingr@gmail.com>\n    Reviewed-By: Luigi Pinca <luigipinca@gmail.com>\n    Reviewed-By: James M Snell <jasnell@gmail.com>\n\ncommit 8cb6b5d2a10979684846df11f4d6e937aae105ba\nAuthor: Voltrex <62040526+VoltrexMaster@users.noreply.github.com>\nDate:   Fri Apr 2 04:25:38 2021 +0430\n\n    doc: use `foo.prototype.bar` notation in buffer.md\n    \n    Most of the documentation uses `foo.prototype.bar` notation instead of\n    `foo#bar` notation, this commit apply the former in `buffer.md`.\n    \n    PR-URL: https://github.com/nodejs/node/pull/38032\n    Reviewed-By: Derek Lewis <DerekNonGeneric@inf.is>\n    Reviewed-By: Antoine du Hamel <duhamelantoine1995@gmail.com>\n    Reviewed-By: Colin Ihrig <cjihrig@gmail.com>\n    Reviewed-By: Darshan Sen <raisinten@gmail.com>\n\ncommit 8645a3610e1b2eb89fdb96ae795017ec239410c8\nAuthor: Richard Lau <rlau@redhat.com>\nDate:   Sun Apr 18 15:32:12 2021 -0400\n\n    test: use .test domain for not found address\n    \n    While it is extremely unlikely that `.fhqwhgads` will become a valid\n    domain, we should, where possible, use one of the reserved domains for\n    testing.\n    \n    Refs: https://tools.ietf.org/html/rfc2606\n    \n    PR-URL: https://github.com/nodejs/node/pull/38286\n    Refs: https://github.com/nodejs/node/pull/38282\n    Reviewed-By: Colin Ihrig <cjihrig@gmail.com>\n    Reviewed-By: Rich Trott <rtrott@gmail.com>\n    Reviewed-By: Luigi Pinca <luigipinca@gmail.com>\n\ncommit e703ceb8b48befa2097bb11943293706835834bc\nAuthor: Richard Lau <rlau@redhat.com>\nDate:   Sun Apr 18 19:21:22 2021 -0400\n\n    tools: fix type mismatch in test runner\n    \n    `output.diagnostic` is a list that is appended to on SmartOS when\n    retrying a test due to `ECONNREFUSED`. The test runner checks if\n    `output.diagnostic` is truthy and, if so, assigns its value to\n    `self.traceback`. However `self.traceback` is supposed to be a string,\n    and `_printDiagnostic()` in the `TapProgressIndicator` attempts to call\n    `splitlines()` on it, which fails if it is a list with:\n    AttributeError: 'list' object has no attribute 'splitlines'\n    \n    PR-URL: https://github.com/nodejs/node/pull/38289\n    Reviewed-By: Rich Trott <rtrott@gmail.com>\n    Reviewed-By: Christian Clauss <cclauss@me.com>\n    Reviewed-By: Luigi Pinca <luigipinca@gmail.com>\n    Reviewed-By: Benjamin Gruenbaum <benjamingr@gmail.com>\n\ncommit 053aa6d213ea828fac89864df03890228831db7e\nAuthor: Micha\u00EBl Zasso <targos@protonmail.com>\nDate:   Sat Apr 17 09:36:55 2021 +0200\n\n    deps: patch V8 to 9.0.257.19\n    \n    Refs: https://github.com/v8/v8/compare/9.0.257.17...9.0.257.19\n    \n    PR-URL: https://github.com/nodejs/node/pull/38270\n    Reviewed-By: Colin Ihrig <cjihrig@gmail.com>\n    Reviewed-By: Rich Trott <rtrott@gmail.com>\n\ncommit 614efb1bc2042725f847d4161cf8ae126483a7af\nAuthor: Micha\u00EBl Zasso <targos@protonmail.com>\nDate:   Wed Apr 21 17:27:03 2021 +0200\n\n    test: update trace events test expectations\n    \n    V8 9.2 doesn't emit the \"V8.ScriptCompiler\" event anymore.\n    Use \"V8.GCScavenger\" instead.\n";
//# sourceMappingURL=fixture.js.map